test:
  solr:
    hostname: localhost
    port: 8983
    update_format: <%= ENV.fetch('UPDATE_FORMAT', 'xml') %>
  auto_index_callback: after_save
  auto_remove_callback: after_destroy
development:
  solr:
    hostname: localhost
    port: 8981
config_test:
  solr:
    scheme: http
    user: user
    pass: pass
    hostname: some.host
    port: 1234
    path: /solr/idx
    log_level: WARNING
    pid_dir: /my_superior_path/pids
    solr_home: /my_superior_path
    bind_address: 127.0.0.1
    read_timeout: 2
    open_timeout: 0.5
    update_format: json
    proxy: http://proxy.com:12345
  auto_commit_after_request: false
  auto_commit_after_delete_request: true
config_disabled_test:
  disabled: true
config_commit_test:
  auto_index_callback: after_commit
  auto_remove_callback: after_commit
